import { AppPopupButtonType } from "../enum/app-popup-button-type.enum";
import { EventEmitter } from "@angular/core";
import { TransactionLineBaseComponent } from './transaction-line-base.component';
export declare abstract class DialogTransactionLineBaseComponent extends TransactionLineBaseComponent {
    readonly buttonType: typeof AppPopupButtonType;
    autoClose: boolean;
    useModel: boolean;
    close: EventEmitter<MouseEvent>;
    value: any;
    searchText: string;
    protected shouldRollbackOnClose: boolean;
    onClose(eventType: AppPopupButtonType, output?: any): void;
    handleValueChange(value: any): void;
    handleOkClick(): void;
    handleSearch(text: string): void;
    handleCloseDialog(event: MouseEvent, type: AppPopupButtonType): void;
    handleClose(type: AppPopupButtonType): void;
}
